PyRevit + Rhino.Inside?

Are there plans for better integration between PyRevit & Rhino Inside?
It would be great to be able to use Rhinoscriptsyntax and Rhino common straight from PyRevit

It already is recognised - check this sample that is part of the pyrevit dev tab

from pyrevit import clr, revit, DB
from pyrevit.framework import Enumerable
from pyrevit import script


clr.AddReference('RhinoCommon')
clr.AddReference('RhinoInside.Revit')


from Rhino import Geometry
from RhinoInside.Revit import Revit, Convert


logger = script.get_logger()
output = script.get_output()


with revit.Transaction("Rhino.Inside Sample7"):
    sphere = Geometry.Sphere(Geometry.Point3d.Origin, 12 * Revit.ModelUnits)
    brep = sphere.ToBrep()
    meshes = \
        Geometry.Mesh.CreateFromBrep(brep, Geometry.MeshingParameters.Default)

    category = DB.ElementId(DB.BuiltInCategory.OST_GenericModel)
    ds = DB.DirectShape.CreateElement(revit.doc, category)

    solids = []
    for mesh in meshes:
        solid = Convert.Geometry.GeometryEncoder.ToSolid(mesh)
        solids.append(solid)
    
    for geometry in solids:
        ds.AppendShape([geometry])
1 Like